Skip to content
You're viewing documentation for v2026.11.9-beta. It may be out of date.Go to latest
TimescaleDB Enterprise
Esc
↑↓navigate↵open⌘Jpreview

Run pre-create checks

Run pre-create prerequisite checks on candidate servers (advisory).

POST/api/v1/database-services/preflight
Authorization
tse_sessionAPI key · cookierequired
Request body
requiredapplication/json
backup_server_idstring
data_dirstring
server_idsstring[]required
min items 1 · max items 16
topologystring
Allowed:single_nodestandard_haadvanced_ha
vipstring
Responses
200

OK

serversServerPreflightResult[]required
Show properties
Array of ServerPreflightResult
checksPreflightCheckResult[]required
Show properties
Array of PreflightCheckResult
checkstringrequired
detailstring
statusstringrequired
Allowed:passwarnfail
rolestringrequired
server_idstringrequired
server_namestringrequired
default

Error

codestring

Stable code of the refusal, when the route has codes

detailsstring[]

Additional detail, e.g. per-field validation failures

errorstringrequired

Human-readable error message

Request
curl -X POST 'https://console.example.com/api/v1/database-services/preflight' \
  -H 'Cookie: tse_session=YOUR_API_KEY' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "backup_server_id": "string",
  "data_dir": "string",
  "server_ids": [
    "string"
  ],
  "topology": "single_node",
  "vip": "string"
}'
Response
{
  "servers": [
    {
      "checks": [
        {
          "check": "string",
          "detail": "string",
          "status": "pass"
        }
      ],
      "role": "string",
      "server_id": "string",
      "server_name": "string"
    }
  ]
}